# Generate neural network

from lab import neural

# Network weight initialization
def generate(activation, derivative, weightGenerator = None):
	"""
	Weight generator can be
	np.random.normal
	"""
	net = neural.Network(activation, derivative)

	if (weightGenerator is not None):
		net.layer1 = weightGenerator(size = net.layer1.shape)
		net.layer2 = weightGenerator(size = net.layer2.shape)

	return net
